BANK WOORI SAUDARA - Bug #2429

Loan Pelunasan Belum Berfungsi
12/04/2023 01:54 PM - indra Z

Status: Closed Start date: 12/04/2023
Priority: Urgent Due date: 12/05/2023
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yomma,

Tolong bantuannya untuk menu Loan BWS saat pelunasan setelah diinput datanya belum bisa untuk keluar data hasil simulasinya.

Terlampir contoh data nya.

History

#1 - 12/04/2023 04:37 PM - Kezia Pawitra Yulianti
- Due date set to 12/05/2023
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 12/07/2023 11:42 AM - Tri Rizqiaty

- Status changed from Assigned to Developing

Fixing :

1. Update folder API1/bin & API2/bin : MinovalS.MinovaES.Business.BN.dIl & MinovalS.MinovaES.Implementation.Business.BN.Loan.dll
2. Update Ul/app/controller/masterdata/loan : ctrlloan.js

3. Execute SP : CBWSLOANSIMULATEPELUNASAN.sql & PDSLOANLASTBALANCEPELUNASAN.sql

4. Add di table PCMEPGENPARAM sesuai excel.

File2 diatas terlampir.
Mohon back up dulu, sebelum melakukan fixing.

Notes berdasarkan data2:

- tenor pertama selalu 1 bulan setelahnya

- jika tgl pelunasan 1 s/d 20 balance yg diambil 1 sebelumnya

- jika tgl pelunasan 21 s/d akhir bulan balance yg diambil sama dengan bulan pelunasan
- batasan pelunasan dapat disetting di table PCMEPGENPARAM

#3 - 12/07/2023 11:43 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to indra Z

Mas Indra, tolong ditest ya, thanks

Notes berdasarkan data2:

- tenor pertama selalu 1 bulan setelahnya

- jika tgl pelunasan 1 s/d 20 balance yg diambil 1 sebelumnya

- jika tgl pelunasan 21 s/d akhir bulan balance yg diambil sama dengan bulan pelunasan
- batasan pelunasan dapat disetting di table PCMEPGENPARAM

#4 - 12/08/2023 10:28 AM - Tri Rizqgiaty

- File clipboard-202312081027-xcljm.png added

- File clipboard-202312081027-rcekj.png added

- File Deploy 20231208 Pelunasan Loan.zip added
Mas Indra tolong test Ig ya, makasih.
Penambahan fixing :

1. rubah design table PHRPA0034 field Amount menjadi decimal(22,10)
field Amout rubah menjadi decimal(22,10) i
e ——————
]
—

2. update table SDATATABLEFIELD di field Amount, rubah Lenght dari 18 menjadi 22

WIN-PHS’ 59JH....d - dbo.PHRPADD34 WIN-PHETIO258)H....d - dbo.PHRPAI WIN-PHETIO259)H....0.SDATATABLEFIELD + < [RUIIWEI g lokhiolio s e | TN [ R WIN-PHETIO259)H....d - dbo.PHRPADD35
Column Alias Table Outp... Sort Type Sort Order Filter Or.. Or.. Or. fal
v TableName SDATATAB... T pHRp)

FieldMame SDATATAB...

Segqhlum SDATATAB...

DataRef SDATATAB...

DataType SDATATAB...

Length SDATATAB...

Prec SDATATAE...

Seale SOATATAB... @(feld Amount rubah Length dr 18 menjadi 22 '

TableRef SDATATAE...

FixedValue SDATATAB...

SearchFunction SDATATAB...

SearchType SDATATAB... 1 v
TableName FieldName Seghum DataRef DataType Length Prec Scale TableRef FixedValue SearchFunction  SearchType IsPrimaryKe #
PHRPADD34 Amount 8 AMONZ 3 22 0 2 :r 0

» ‘ PHRPADD34 Currency 7 CURR 0 ﬂ 0 0 PHRPYCURR 0 0
PHRPADD34 EmployeelD 3 EMPID 0 13 0 0 1
PHRPADD34 EndDate 2 EDATE 0 8 0 0 1
PHRPADD34 HeaderSequence 4 HEADERSEQ) 2 1 0 0 1
PHRPADD34 MNotes 10 MOTES 0 500 0 ] 0
PHRPADD34 PaymentType 13 0 4 0 0 PHRBMLOANP... 0 0
PHRPADD34 Rateoflnterest n IMTRST 3 18 0 2 0
PHRPADD34 RepaymentType & REPAYMNTYP 0 4 0 0 PHRBMLOANR... 0 0
PHRPADD34 Sequence 5 SECQ 2 1 0 0 1

v
- AiinRAARD ER . -+ eraTr n - a ~ 1 5
4 42 of 13| b M b

package deploy terlampir.

#5 - 12/08/2023 11:26 AM - indra Z

- Assignee changed from indra Z to Muhammad Bintar

#6 - 12/08/2023 11:27 AM - indra Z
- Status changed from QA Test to Deploy

#7 - 12/08/2023 03:08 PM - Muhammad Bintar
- File clipboard-202312081508-6fsek.png added
- Status changed from Deploy to Closed

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

okeh sudah bisa di deploy dan bisa disave
Files

Data Pelunasan November.xlsx 10.3 KB
clipboard-202312081027-xcljm.png 7.97 KB
clipboard-202312081027-rcekj.png 84.3 KB
Deploy 20231208 Pelunasan Loan.zip 75.3 KB
clipboard-202312081508-6fsek.png 229 KB
